﻿Type=Class
Version=3.2
@EndOfDesignText@
'Class module
Sub Class_Globals
	
Dim main_pn As Panel
Dim shadow_pn As Panel
Dim cd As ColorDrawable
Dim cd2 As ColorDrawable

Dim sp As Spinner
Dim lb_lang As Label
Dim closebt As Button
Dim pn_scroll_disable As Panel
Dim main_act As Activity
Dim cd2 As ColorDrawable

End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(act As activity, left As Int, Top As Int, width As Int, height As Int)

main_act = act 'set the class global so we can access the calling activity at a later stage

'cd.Initialize(Colors.Gray, 25)
'cd2.Initialize(Colors.DarkGray, 25)

main_pn.Initialize("main_pn")
shadow_pn.Initialize("shadow")

'add a transparant panel to disable scroll of scrollview.
pn_scroll_disable.Initialize("disable_scroll")
main_act.AddView(pn_scroll_disable, 0,0,100%x, 100%y)
pn_scroll_disable.Color = Colors.Transparent

'then add the main panel as the settings 'pop-up'. Add another panel for shadow effect.
act.Addview(shadow_pn, left+2dip,Top+2dip, width+2dip, height+2dip)
shadow_pn.SetLayout(left+2dip,Top+2dip, width+2dip, height+2dip)


act.AddView(main_pn, left, Top, width, height)
main_pn.SetLayout(left, Top, width, height)

'initialize the spinner and add values.
sp.Initialize("spin")
lb_lang.Initialize("")
main_pn.AddView(sp, 10dip, main_pn.height*0.07, main_pn.width-20dip, 50dip)
main_pn.AddView(lb_lang, 10dip,sp.Top-20dip,main_pn.width-20dip, 50dip)
'sp.SetLayout(10dip, 50dip, main_pn.width-5dip, 20dip)
sp.Add("Dutch") 
sp.Add("English")
sp.Add("German")
sp.Add("Czech")
sp.Add("Spain")
lb_lang.Text = "Language"

'based on main activity, load the current selected value.
Select Main.language
	Case "NL"
		sp.SelectedIndex =sp.IndexOf("Dutch")
	Case "EN"
		sp.SelectedIndex=sp.IndexOf("English")
	Case "DE"
		sp.SelectedIndex=sp.IndexOf("German")
	Case "CZ"
		sp.SelectedIndex=sp.IndexOf("Czech")
	Case "ES"
		sp.SelectedIndex=sp.IndexOf("Spain")
End Select

'create close button.
closebt.Initialize("closebt")
main_pn.AddView(closebt, 10dip, main_pn.height-60dip, main_pn.width-20dip, 50dip)
closebt.Text = "Close"

End Sub

Sub disable_scroll_Click

'do nothing so scroll is disabled.
	
End Sub

Public Sub spin_ItemClick (Position As Int, Value As Object)
	
'based on selected spinner value, set the main.language value.

	Select Value
		Case "Dutch"
			Main.language = "NL"
		Case "English"
			Main.language = "EN"
		Case "German"
			Main.language = "DE"
		Case "Czech"
			Main.language = "CZ"
		Case "Spain"
			Main.language = "ES"
	End Select

	Log(main_pn.NumberOfViews)
	
End Sub

Sub closebt_Click

main_pn.RemoveView
shadow_pn.RemoveView
main_act.RemoveViewAt(main_act.NumberOfViews-1)

'run code to update anything which is based on the main.language value.
CallSub(Main, "refresh_sv")	'to refresh the scrollviewlist.


End Sub

Public Sub bg_color(color1 As Int,color2 As Int, cornerradius As Int)

cd.Initialize(color1, cornerradius)
cd2.Initialize(color2,cornerradius)

main_pn.Background = cd
shadow_pn.Background = cd2

End Sub
